cURL
curl --request PUT \
--url https://{tenant}.stamp.eu/rest/payroll/company \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_name": "<string>",
"company_number": "<string>",
"establishment_number": "<string>",
"trade_association_pin": "<string>",
"collective_agreement": "<string>",
"social_fund_name": "<string>",
"social_fund_contribution_number": "<string>",
"apportionment_required": true,
"tax_office": "<string>",
"tax_number": "<string>",
"causer_company_number": "<string>",
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_email": "jsmith@example.com",
"address_street": "<string>",
"address_house_number": "<string>",
"address_postal_code": "<string>",
"address_city": "<string>"
}
'import requests
url = "https://{tenant}.stamp.eu/rest/payroll/company"
payload = {
"company_name": "<string>",
"company_number": "<string>",
"establishment_number": "<string>",
"trade_association_pin": "<string>",
"collective_agreement": "<string>",
"social_fund_name": "<string>",
"social_fund_contribution_number": "<string>",
"apportionment_required": True,
"tax_office": "<string>",
"tax_number": "<string>",
"causer_company_number": "<string>",
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_email": "jsmith@example.com",
"address_street": "<string>",
"address_house_number": "<string>",
"address_postal_code": "<string>",
"address_city": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_name: '<string>',
company_number: '<string>',
establishment_number: '<string>',
trade_association_pin: '<string>',
collective_agreement: '<string>',
social_fund_name: '<string>',
social_fund_contribution_number: '<string>',
apportionment_required: true,
tax_office: '<string>',
tax_number: '<string>',
causer_company_number: '<string>',
contact_name: '<string>',
contact_phone: '<string>',
contact_email: 'jsmith@example.com',
address_street: '<string>',
address_house_number: '<string>',
address_postal_code: '<string>',
address_city: '<string>'
})
};
fetch('https://{tenant}.stamp.eu/rest/payroll/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"company_name": "<string>",
"company_number": "<string>",
"establishment_number": "<string>",
"trade_association_pin": "<string>",
"collective_agreement": "<string>",
"social_fund_name": "<string>",
"social_fund_contribution_number": "<string>",
"apportionment_required": "<string>",
"tax_office": "<string>",
"tax_number": "<string>",
"registration_period": "<string>",
"causer_company_number": "<string>",
"contact_name": "<string>",
"contact_phone": "<string>",
"contact_email": "<string>",
"address_street": "<string>",
"address_house_number": "<string>",
"address_postal_code": "<string>",
"address_city": "<string>",
"updated_at": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Lohnabrechnung
Firmendaten aktualisieren
PUT
/
payroll
/
company
cURL
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Body
application/json
Maximum string length:
255Maximum string length:
255Maximum string length:
8Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
255Maximum string length:
255Available options:
monthly, quarterly, yearly eAU Absenderdaten
Maximum string length:
255Maximum string length:
50Maximum string length:
255Maximum string length:
255Maximum string length:
20Maximum string length:
10Maximum string length:
255Response
PayrollCompanySettingsResource
Show child attributes
Show child attributes
⌘I